/***************************************************************************
 * LCDriver - A unified interface for external LCD/VFD displays for Win32  *
 * Copyright (C) 2000-2001 Ryan Myers.  All rights reserved.               *
 *                                                                         *
 * Please read the contents of the LICENSE file for information regarding  *
 * legal use of the LCDriver source code and/or binary executables.  If    *
 * you did not recieve such a file with this one, please contact the       *
 * author via e-mail (borisian@planetquake.com) as soon as possible.       *
 *                                                                         *
 * Get the newest copy of LCDriver: http://lcdriver.pointofnoreturn.org/   *
 ***************************************************************************/

#ifndef  _LCDCALLS_H_
#define  _LCDCALLS_H_

#ifdef __cplusplus
extern "C" {
#endif

#define LCD_RESULT_NOERROR     0
#define LCD_RESULT_LCDOFF      1
#define LCD_RESULT_PARAMERROR  2
#define LCD_RESULT_COMMERROR   3
#define LCD_RESULT_REGERROR    4

#define LCD_MAXWIDTH   40
#define LCD_MAXHEIGHT  4
#define LCD_MINWIDTH   8
#define LCD_MINHEIGHT  1

extern int __stdcall lcdIsVFD(void);
extern int __stdcall lcdIsInUse(void);

//needed
extern int __stdcall lcdGetWidth(void);
//needed
extern int __stdcall lcdGetHeight(void);

extern int __stdcall lcdGetCharWidth(void);
extern int __stdcall lcdGetCharHeight(void);

//needed
extern int __stdcall lcdRequest(void);
//needed
extern int __stdcall lcdFree(void);

//needed
extern int __stdcall lcdClearDisplay(void);
//needed
extern int __stdcall lcdSetWrapMode(int fHoriz, int fVert);
extern int __stdcall lcdSetCustomChar(int iChar, const char *cBytes);
//needed
extern int __stdcall lcdSetCursor(int iCursorMode);
//needed
extern int __stdcall lcdSetCursorPos(int iX, int iY);

extern int __stdcall lcdSendCharacter(unsigned char cChar);
//needed
extern int __stdcall lcdSendString(const char *pcString, unsigned int iLength);

extern int __stdcall lcdEnableMarquee(const char *pcString, int iLength, int iRow, int iPixelsPerUpdate, int iUpdateSpeed);
extern int __stdcall lcdDisableMarquee(void);
extern int __stdcall lcdFlash(void);

extern int __stdcall lcdTestScreen(void);

#ifdef __cplusplus
}
#endif

#endif //_LCDCALLS_H_